## ros-melodic-teraranger 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
SET(CMAKE_CXX_STANDARD 11)
SET(CMAKE_CXX_STANDARD_REQUIRED ON)
project(teraranger)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  rospy
  sensor_msgs
  std_msgs
  dynamic_reconfigure
  serial
)

find_package(Boost REQUIRED COMPONENTS system thread)

generate_dynamic_reconfigure_options(
  cfg/TerarangerOne.cfg
  cfg/TerarangerDuo.cfg
  cfg/Evo64px.cfg
  cfg/EvoThermal.cfg
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS roscpp sensor_msgs std_msgs dynamic_reconfigure serial
  DEPENDS Boost
)

include_directories(
  include
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

add_executable(evo src/teraranger_evo.cpp src/helper_lib.cpp)
target_link_libraries(evo ${catkin_LIBRARIES} ${Boost_LIBRARIES})
#add_dependencies(evo ${${PROJECT_NAME}_EXPORTED_TARGETS})
#add_dependencies(evo ${PROJECT_NAME}_gencfg)

add_executable(duo src/teraranger_duo.cpp src/helper_lib.cpp)
add_dependencies(duo  ${catkin_EXPORTED_TARGETS})
add_dependencies(duo ${PROJECT_NAME}_gencfg)
target_link_libraries(duo ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(one src/teraranger_one.cpp src/helper_lib.cpp)
add_dependencies(one  ${catkin_EXPORTED_TARGETS})
add_dependencies(one ${PROJECT_NAME}_gencfg)
target_link_libraries(one ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install( TARGETS
  evo
  one
  duo
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-teraranger (2.1.0-1bionic) bionic; urgency=high

  * Update package description
  * Update links in Readme
  * Set 64px mode to distance+ambient on start (#23 <https://github.com/Terabee/teraranger/issues/23>)
    Fix issue #22 <https://github.com/Terabee/teraranger/issues/22>
  * Add pre-release flag for travis
  * Repository/add travis ci (#26 <https://github.com/Terabee/teraranger/issues/26>)
  * Merge pull request #24 <https://github.com/Terabee/teraranger/issues/24> from Terabee/pre-release
  * Contributors: Morten Fyhn Amundsen, Pierre-Louis Kabaradjian

 -- Krzysztof Żurad <krzysztof.zurad@terabee.com>  Thu, 02 May 2019 22:00:00 -0000

ros-melodic-teraranger (2.0.1-1bionic) bionic; urgency=high

  * Prevent unintended modification on temp_array when clipping values
  * Contributors: Marcin Pilch, Pierre-Louis Kabaradjian

 -- Krzysztof Żurad <krzysztof.zurad@terabee.com>  Sun, 10 Feb 2019 23:00:00 -0000

ros-melodic-teraranger (2.0.0-1bionic) bionic; urgency=high

  * Update roswiki and Readme file for Evo Thermal
  * Fix error in Evo64 px parsing
  * Add frame_id in rgb image message
  * Change topic naming
  * Fix rosparam default value type
  * Prevent header desynchronization in Thermal driver
  * Add CRC check to ACK reading
  * Prevent node from sending VCP commands to UART backboard
    Based on baudrate speed
  * Refactor Evo 64px driver
  * Remove fps estimation in Evo 64px driver
  * Rename python node file
  * Publish temperature array
  * Add publisher for PTAT
  * Take into account cases when commands are failing
  * Refactor colormap loading
  * Add Evo Thermal driver
  * Contributors: Baptiste Potier, Pierre-Louis Kabaradjian

 -- Krzysztof Żurad <krzysztof.zurad@terabee.com>  Wed, 05 Dec 2018 23:00:00 -0000

ros-melodic-teraranger (1.3.0-1bionic) bionic; urgency=high

  * Update maintainer list
  * Update Readme for Evo 64px
  * Add driver node for Evo 64px
  * Contributors: Baptiste Potier, Pierre-Louis Kabaradjian

 -- Krzysztof Żurad <krzysztof.zurad@terabee.com>  Sun, 07 Oct 2018 22:00:00 -0000

ros-melodic-teraranger (1.2.1-1bionic) bionic; urgency=high

  * Update Readme for Evo 3m
  * Add Evo 3m compatibility to the driver
  * Update installation instructions in Readme
  * Contributors: Baptiste Potier, Pierre-Louis Kabaradjian

 -- Krzysztof Żurad <krzysztof.zurad@terabee.com>  Thu, 06 Sep 2018 22:00:00 -0000

ros-melodic-teraranger (1.2.0-1bionic) bionic; urgency=high

  * Remove unecessary files
  * Put the private parameters in define + correct ros info messages
  * Update for evo 600Hz
  * Contributors: BaptistePotier, Pierre-Louis Kabaradjian

 -- Krzysztof Żurad <krzysztof.zurad@terabee.com>  Thu, 12 Apr 2018 22:00:00 -0000

ros-melodic-teraranger (1.1.0-1bionic) bionic; urgency=high

  * Change license to MIT
  * Put frame_id as a parameter in one, duo, and evo driver
  * Update README with correct evo links
  * Contributors: Pierre-Louis Kabaradjian, Baptiste Potier

 -- Krzysztof Żurad <krzysztof.zurad@terabee.com>  Thu, 16 Nov 2017 23:00:00 -0000

ros-melodic-teraranger (1.0.1-1bionic) bionic; urgency=high

  * Update package.xml
  * Contributors: Pierre-Louis Kabaradjian

 -- Krzysztof Żurad <krzysztof.zurad@terabee.com>  Tue, 19 Sep 2017 22:00:00 -0000

ros-melodic-teraranger (1.0.0-1bionic) bionic; urgency=high

  * Create README.md
  * Handle infinite values
  * Add One and Duo support
  * Fix frame dropping on 'T'
  * Clean files and change to pragma once
  * Implement REP 117 for teraranger duo
  * Implement REP 117 for teraranger one
  * Use helper lib and clean header of one
  * Use helper lib and clean header of duo
  * Remove old erial library files
  * Update drivers to ros-serial
  * Enable outdoor mode in reconfigure for one and duo
  * Initialize repository
  * Contributors: Pierre-Louis Kabaradjian, BaptistePotier, Mateusz Sadowski

 -- Krzysztof Żurad <krzysztof.zurad@terabee.com>  Thu, 14 Sep 2017 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-teraranger
Section: misc
Priority: extra
Maintainer: Krzysztof Żurad <krzysztof.zurad@terabee.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-dynamic-reconfigure, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-serial, ros-melodic-std-msgs
Homepage: http://wiki.ros.org/teraranger
Standards-Version: 3.9.2

Package: ros-melodic-teraranger
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-dynamic-reconfigure, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-serial, ros-melodic-std-msgs
Description: This package provides ros nodes for single sensors from Terabee

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-teraranger//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
